package Testrig 
  
  model Wegvorgabe 
    Modelica.Blocks.Interfaces.RealInput u;                          // Laden des Modelica Konnektors RealInput
    Modelica.Mechanics.Translational.Interfaces.Flange_a flange_a;   // Laden des Modelica Konnektors Flange_a
  equation 
    flange_a.s = u;
  end Wegvorgabe;
  

  model Federbein
    parameter Real c(unit="N/m")=30000;
    parameter Real d(unit="Ns/m")=3000;
    Real F(unit="N");
    Real z(unit="m");
    Modelica.Mechanics.Translational.Interfaces.Flange_a flange_a;  // Laden des Modelica Konnektors Flange_a
    Modelica.Mechanics.Translational.Interfaces.Flange_b flange_b;  // Laden des Modelica Konnektors Flange_b
  equation
    z=flange_a.s-flange_b.s;
    F=z*c+d*der(z);
    flange_a.f=F;
    flange_b.f=-F;
  end Federbein;
  
// erstellen der Klasse Luftfeder

  model Luftfeder
  
  equation
  
  end Luftfeder;
  
  
  
  model Systemaufbau          // In diesem Modell wird das gesamte System zusammengesetzt     
    Wegvorgabe Wegvorgabe1;   // Einfgen des Modells Wegvorgabe. Dieses trgt innerhalb des Modells Systemaufbau die Bezeichnung Wegvorgabe1
    Luftfeder Luftfeder1;     // Hier das Federbein einfgen, analog wie bei Block Wegvorgabe
    Modelica.Mechanics.Translational.Fixed Fixed1;                // Einfgen des Modelica Blocks Fixed.
    Modelica.Blocks.Sources.Sine Sine1(amplitude=0.01, freqHz=0.5); // Einfgen des Modelica Blocks Sine
  equation 
    connect(Sine1.y,Wegvorgabe1.u);       // Hier wird der Block Sine1 mit dem Block Wegvorgabe1 verbunden
    connect(Wegvorgabe1.flange_a, Luftfeder1.flange_b);  // Hier den Block Wegvorgabe mit Federbein verbinden
    connect(Luftfeder1.flange_a ,Fixed1.flange_b);       // Hier den Block Federbein mit Fixed verbinden
  end Systemaufbau;
  
end Testrig;
