function [zeile,wert] = omparameterfinden(parameterfile,parameter)
%-----------------------------------------------------------------------------------------
%Funktion zum Finden von Parametern bzw. Eintrgen und ihren Werten innerhalb eines 
%OpenModelica Parameterfiles.
%
%SYNTAX:    [zeile,wert] = omparameterfinden(parameterfile,parameter)
%
%mit:       parameterfile = NAME (String) des Parameterfiles
%           parameter     = cell Array mit den Namen der Parametern bzw. Eintrgen
%                           ACHTUNG: Das cell array darf nur den Namen des Parameters als
%                           String enthalten. Bsp. Parameter m und g 
%                           zeile = omparameterfinden(parameterfile,{'m','g'})
%
%           zeile = daouble array mit den Indices der Zeilen des Parameterfiles, 
%                   in denen die gefundenen Parameter stehen
%           wert  = daouble array mit den Werten der gefundenen Parameter
%
%(c) Hamadeh, April   2008
%-----------------------------------------------------------------------------------------
%%
if ~iscell(parameter)
    fprintf('\nDer Eingangsparameter parameter muss ein cell array sein!\n');
    zeile = [];
    return
end

fid = fopen(parameterfile,'r');
n     = 0;
tline = 0;
while tline ~= -1
    n = n+1;
    tline = fgets(fid);
    parametercell{n} = tline;
end
fclose(fid);

for n = 1:length(parameter)
%     parameter1{n} = ['// ',parameter{n},char(10)];
    parameter1{n} = ['// ',parameter{n}];
    index1{n} = stringincellarray(parametercell,parameter1{n});
    zeile(n)  = find(index1{n}~=0,1);
    spalte(n) = strfind(parametercell{zeile(n)},'//');
    wert(n)   = str2double(parametercell{zeile(n)}(1:spalte(n)-2));
end