function index = stringincellarray(cellarray,string)
%-----------------------------------------------------------------------------------------
%Funktion zur berprfung der Zellen eines Cell arrays auf die Beinhaltung eines Strings.
%Ist der String in der Zelle enthalten wird ihr Index in die ensprechenden Zeile des 
%Rckgabevektors geschrieben. Ist der String nicht enthalten, wird in die ensprechende 
%Zeile des Rckgabevektors 0 geschrieben.
%
%Syntax:    index = stringincellarray(cellarray,string)
%
%mit:       cellarray = cell array mit strings
%           string    = string auf den das cell array berprft werden soll
%
%           index = Vektor mit derselben Lnge des Cell arrays
%                   Index der Zelle wenn sie den String enthlt / 0 (wenn die Zelle den
%                   String nicht enthlt)
%-----------------------------------------------------------------------------------------
anz1  = length(cellarray);
index = zeros(1,anz1);
for n = 1:anz1
    zeichen = cellarray{n};
    if ~isnumeric(zeichen)
        status  = regexp(zeichen,string,'once');
        if ~isempty(status)
            index(n) = n;
        else
            index(n) = 0;
        end
    else
        index(n) = 0;
    end
end